### Method

# FwupdPlugin Device to_string

#### Declaration [src]

    gchar*
    fu_device_to_string (
      FuDevice* self
    )

#### Description [src]

This allows us to easily print the device, the release and the daemon-specific metadata.

Available since: | 0.9.8

#### Return value

Returns: | `gchar*`
| A string value, or `NULL` for invalid.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.